net.sourceforge.jnlp.config

## Interface ValueValidator

    public interface ValueValidator

A class implements the ValueValidator interface to indicate that it can validate values.

See Also:
  `BasicValueValidators`

### Method Summary

Methods
`java.lang.String` `getPossibleValues()` Returns a string describing possible values in human-readable form that this `ValueValidator` accepts
`void` `validate(java.lang.Object value)` This method checks if the given object is a valid value for this specific `ValueValidator`.

### Method Detail

#### validate

    void validate(java.lang.Object value)
                  throws java.lang.IllegalArgumentException

This method checks if the given object is a valid value for this specific `ValueValidator`. Any arbitrary operation can be performed to ensure that the value is valid.

Parameters:
  `value` - The object to validate
Throws:
  `java.lang.IllegalArgumentException` - if the value is invalid

#### getPossibleValues

    java.lang.String getPossibleValues()

Returns a string describing possible values in human-readable form that this `ValueValidator` accepts

Returns:
  a string describing possible values that this `ValueValidator` accepts